Index: /branches/0.4/web/addons/job_monarch/index.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/index.php	(revision 779)
+++ /branches/0.4/web/addons/job_monarch/index.php	(revision 780)
@@ -236,5 +236,5 @@
     }
 
-    if (!count($metrics) && $view!='search') 
+    if (!count($metrics) && $view!='search' && $view!='host') 
     {
         echo "<h4>Cannot find any metrics for selected cluster \"$clustername\", exiting.</h4>\n";
@@ -344,5 +344,5 @@
         $tpl_data->assign("metric_menu", $metric_menu );
 
-        if( $view == "search" or $view == "host" or $view == "overview-host" ) 
+        if( $view == "host" or $view == "overview-host" ) 
         {
             $tpl_data->assign("timeperiod", "yes" );
Index: /branches/0.4/web/addons/job_monarch/search.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/search.php	(revision 779)
+++ /branches/0.4/web/addons/job_monarch/search.php	(revision 780)
@@ -304,16 +304,28 @@
             $node_list["req_cpu"]= makeTime( TimeToEpoch( $job['requested_time'] ) );
 
-            if( $COLUMN_REQUESTED_MEMORY ) {
+            if( $COLUMN_REQUESTED_MEMORY ) 
+            {
                 $node_list["column_req_mem"] = "yes";
                 $node_list["req_memory"]= $job['requested_memory'];
             }
-            if( $COLUMN_NODES) {
+            if( $COLUMN_NODES) 
+            {
 
                 $job_nodes    = array();
 
                 foreach( $nodes[$foundid] as $mynode )
-                    $job_nodes[] = $mynode['hostname'];
-
-                $node_list["column_nodes"] = "yes";
+                {
+                    if( strpos( $mynode['hostname'], "." ) !== false )
+                    {
+                        $shorthost = explode( '.', $mynode['hostname'] );
+                        $job_nodes[] = $shorthost[0];
+                    }
+                    else
+                    {
+                        $job_nodes[] = $mynode['hostname'];
+                    }
+                }
+
+                $node_list["column_nodes_hostnames"] = "yes";
                 $nodes_hostnames = implode( " ", $job_nodes );
                 $node_list["nodes_hostnames"]= $nodes_hostnames;
@@ -357,22 +369,4 @@
             $tpl_data->assign("checked$showhosts", "checked");
 
-            # Present a width list
-            $cols_menu = "<SELECT NAME=\"hc\" OnChange=\"archive_search_form.submit();\">\n";
-
-            $hostcols = ($hc) ? $hc : 4;
-
-            foreach(range(1,25) as $cols) {
-                $cols_menu .= "<OPTION VALUE=$cols ";
-                if ($cols == $hostcols)
-                    $cols_menu .= "SELECTED";
-                $cols_menu .= ">$cols\n";
-            }
-            $cols_menu .= "</SELECT>\n";
-
-            $tpl_data->assign("metric","$metricname $units");
-            $tpl_data->assign("id", $id);
-            # Host columns menu defined in header.php
-            $tpl_data->assign("cols_menu", $cols_menu);
-
             if( $showhosts ) {
 
@@ -387,8 +381,8 @@
                     $period_stop = datetimeToEpoch( $period_stop );
 
-                #        $tpl_data->gotoBlock( "timeperiod" );
-
-                #$tpl_data->assign("period_start", epochToDatetime( $period_start ) );
-                #$tpl_data->assign("period_stop", epochToDatetime( $period_stop ) );
+                $tpl_data->assign( "timeperiod", "yes" );
+
+                $tpl_data->assign("period_start", epochToDatetime( $period_start ) );
+                $tpl_data->assign("period_stop", epochToDatetime( $period_stop ) );
 
                 $hosts_up = array();
@@ -447,5 +441,5 @@
                         $textval = $val['VAL']." ".$val['UNITS'];
                     } else {
-                        $graphargs = "z=small&c=$cluster_url&m=$metricname&h=$host_url&v=".$val['VAL']."&x=$max&n=$min&job_start=$job_start&job_stop=$job_stop&period_start=$period_start&period_stop=$period_stop&min=$min&max=$max";
+                        $graphargs = "z=medium&c=$cluster_url&m=$metricname&h=$host_url&v=".$val['VAL']."&x=$max&n=$min&job_start=$job_start&job_stop=$job_stop&period_start=$period_start&period_stop=$period_stop&min=$min&max=$max";
                     }
                     if ($textval) {
Index: /branches/0.4/web/addons/job_monarch/templates/search.tpl
===================================================================
--- /branches/0.4/web/addons/job_monarch/templates/search.tpl	(revision 779)
+++ /branches/0.4/web/addons/job_monarch/templates/search.tpl	(revision 780)
@@ -243,5 +243,5 @@
 {/if}
     <TD>{$nodes}/{$cpus}</TD>
-{if "$column_req_mem" == "yes"}
+{if "$column_nodes_hostnames" == "yes"}
     <TD>{$nodes_hostnames}</TD>
 {/if}
@@ -263,10 +263,26 @@
   no<INPUT type=radio name="sh" value="0" OnClick="archive_search_form.submit();" {$checked0}>
   </FONT>
-  |
-  job <strong>{$id}</strong> metric <strong>{$metric}</strong>
-  |
-   <FONT SIZE="-1">
-   Columns&nbsp;&nbsp;{$cols_menu}
-   </FONT><BR>
+{if "$timeperiod" == "yes"}
+    <INPUT TYPE="HIDDEN" NAME="period_start" VALUE="{$period_start}">
+    <INPUT TYPE="HIDDEN" NAME="period_stop" VALUE="{$period_stop}">
+    <BR><BR><B>Graph/ from
+    <INPUT TYPE="text" NAME="period_start_pick" VALUE="{$period_start}" ALT="Start time" DISABLED="TRUE">
+    <a href="javascript:show_calendar('document.{$form_name}.period_start_pick', document.{$form_name}.period_start_pick.value);" alt="Click to select a date/time" title="Click to select a date/time">
+    <img src="cal.gif" width="16" height="16" border="0"></a>
+    <a href="#" onClick="javascript: document.{$form_name}.period_start_pick.value=''" alt="Click here to clear field" title="Click here to clear field">
+    <IMG SRC="redcross.jpg" BORDER=0></A>
+    to <INPUT TYPE="text" NAME="period_stop_pick" VALUE="{$period_stop}" ALT="Stop time" DISABLED="TRUE">
+    <a href="javascript:show_calendar('document.{$form_name}.period_stop_pick', document.{$form_name}.period_stop_pick.value);" alt="Click to select a date/time" title="Click to select a date/time">
+    <img src="cal.gif" width="16" height="16" border="0"></a>
+    <a href="#" onClick="javascript: document.{$form_name}.period_stop_pick.value=''" alt="Click here to clear field" title="Click here to clear field">
+    </B>
+    <IMG SRC="redcross.jpg" BORDER=0></A>
+
+{if "$hostview" == "yes"}
+    <INPUT TYPE="HIDDEN" NAME="job_start" VALUE="{$job_start}">
+    <INPUT TYPE="HIDDEN" NAME="job_stop" VALUE="{$job_stop}">
+{/if}
+    <INPUT TYPE="submit" onClick="setPeriodTimestamps();" VALUE="Refresh graphs">
+{/if}
   </TD>
 </TR>
@@ -275,11 +291,10 @@
 
 <CENTER>
-<TABLE>
-<TR>
+
+<div id="monarchimage">
 {loop $sorted_list}
 {$metric_image}{$br}
 {/loop}
-</TR>
-</TABLE>
+</div>
 
 </CENTER>