Index: /branches/0.4/web/addons/job_monarch/index.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/index.php	(revision 810)
+++ /branches/0.4/web/addons/job_monarch/index.php	(revision 811)
@@ -61,5 +61,5 @@
 $filter = array();
 
-if( !isset($view) ) $view = "overview";
+if( !isset($view) && $clustername!='') $view = "overview";
 if( !isset($sortorder) ) $sortorder = "desc";
 if( !isset($sortby) ) $sortby = "id";
@@ -238,5 +238,5 @@
     }
 
-    if (!count($metrics) && $view!='search' && $view!='host') 
+    if (!count($metrics) && $view!='' && $view!='search' && $view!='host') 
     {
         echo "<h4>Cannot find any metrics for selected cluster \"$clustername\", exiting.</h4>\n";
@@ -322,5 +322,5 @@
         #$range = "job";
 
-        if( $page_call != "host_view" )
+        if( ( $page_call != "host_view" ) && ( $page_call != "search" ) )
         {
 
@@ -505,6 +505,6 @@
     default:
 
-        include "./overview.php";
-        makeOverview();
+        include "./meta_view.php";
+        makeMetaview();
         break;
 }
Index: /branches/0.4/web/addons/job_monarch/search.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/search.php	(revision 810)
+++ /branches/0.4/web/addons/job_monarch/search.php	(revision 811)
@@ -226,5 +226,5 @@
     global $end_from_time, $end_to_time, $filter, $default_showhosts, $m, $hosts_up, $hc;
     global $period_start, $period_stop, $sortby, $sortorder, $COLUMN_REQUESTED_MEMORY;
-    global $SEARCH_RESULT_LIMIT, $COLUMN_NODES, $metricname, $self;
+    global $SEARCH_RESULT_LIMIT, $COLUMN_NODES, $metricname, $self, $conf;
 
     $longtitle = "Batch Archive Search :: Powered by Job Monarch!";
@@ -420,4 +420,44 @@
                 }
 
+                $trd = new TarchRrdGraph( $clustername, $host );
+                $rrd_dirs = $trd->getRrdDirs( $period_start, $period_stop );
+
+                $metric_menu = "<B>Metric</B>&nbsp;&nbsp;"
+                    ."<SELECT NAME=\"m\" OnChange=\"toga_form.submit();\">\n";
+
+                $archive_reports = array( "load_report", "cpu_report", "network_report", "packet_report", "mem_report" );
+                $file_metrics = $trd->dirList( $rrd_dirs[0] );
+
+                $archive_metrics = array();
+
+                foreach( $file_metrics as $k )
+                {
+                    $a_metric_file = explode( '.', $k);
+                    $archive_metrics[] = $a_metric_file[0];
+                }
+
+                $sorted_metrics = array_merge( $archive_reports, $archive_metrics );
+
+                asort( $sorted_metrics );
+
+                $selected_metric = $conf['default_metric'];
+
+                if( $metricname != '')
+                {
+                    $selected_metric = $metricname;
+                }
+
+                foreach( $sorted_metrics as $k )
+                {
+                    $url = rawurlencode($k);
+                    $metric_menu .= "<OPTION VALUE=\"$url\" ";
+                    if ($k == $selected_metric )
+                        $metric_menu .= "SELECTED";
+                    $metric_menu .= ">$k\n";
+                }
+                $metric_menu .= "</SELECT>\n";
+
+                $tpl_data->assign("metric_menu", $metric_menu );
+
                 # First pass to find the max value in all graphs for this
                 # metric. The $start,$end variables comes from get_context.php,
Index: /branches/0.4/web/addons/job_monarch/templates/search.tpl
===================================================================
--- /branches/0.4/web/addons/job_monarch/templates/search.tpl	(revision 810)
+++ /branches/0.4/web/addons/job_monarch/templates/search.tpl	(revision 811)
@@ -266,5 +266,5 @@
     <INPUT TYPE="HIDDEN" NAME="period_start" VALUE="{$period_start}">
     <INPUT TYPE="HIDDEN" NAME="period_stop" VALUE="{$period_stop}">
-    <BR><BR><B>Graph/ from
+    <BR><B>Graph {$metric_menu} from
     <INPUT TYPE="text" NAME="period_start_pick" VALUE="{$period_start}" ALT="Start time" DISABLED="TRUE">
     <a href="javascript:show_calendar('document.{$form_name}.period_start_pick', document.{$form_name}.period_start_pick.value);" alt="Click to select a date/time" title="Click to select a date/time">