Index: branches/1.0/web/addons/job_monarch/overview.php
===================================================================
--- branches/1.0/web/addons/job_monarch/overview.php	(revision 825)
+++ branches/1.0/web/addons/job_monarch/overview.php	(revision 828)
@@ -92,21 +92,4 @@
 
     $tpl_data[ "order"]= $filterorder;
-
-    if( array_key_exists( "id", $filter ) ) 
-    {
-        $piefilter = 'id';
-    } 
-    else if( array_key_exists( "owner", $filter ) ) 
-    {
-        $piefilter = 'owner';
-    } 
-    else if( array_key_exists( "queue", $filter ) ) 
-    {
-        $piefilter = 'queue';
-    }
-
-    $pie    = drawPie();
-
-    $tpl_data["pie"]= $pie;
 }
 
@@ -223,181 +206,4 @@
     return $new;
 }
-
-// Code these some day
-function drawJobPie() { }
-
-function drawUserPie() { }
-
-function drawQueuePie() { }
-
-function drawPie() 
-{
-    global $jobs, $gnodes, $piefilter, $filter, $metrics;
-
-    $nodes = $gnodes;
-
-    if( isset($piefilter) )    
-    {
-        $pie_args = "title=" . rawurlencode("Cluster ".$piefilter." usage");
-    } 
-    else 
-    {
-        $pie_args = "title=" . rawurlencode("Cluster queue usage");
-    }
-
-    $pie_args .= "&size=250x150";
-
-    $queues    = array();
-    $nr_jobs   = count( $jobs );
-    $nr_nodes  = count( $nodes );
-
-    $nr_cpus   = cluster_sum("cpu_num", $metrics);
-
-    $empty_cpus= 0;
-    $used_cpus = 0;
-
-    $job_weight= array();
-
-    foreach( $nodes as $node ) 
-    {
-        $myjobs    = $node->getJobs();
-        $myhost    = $node->getHostname();
-        $node_cpus = $metrics[$myhost]["cpu_num"]['VAL'];
-        $job_cpu   = 0;
-
-        foreach( $myjobs as $myjob ) 
-        {
-            $job_cpu += isset( $jobs[$myjob]['ppn'] ) ? $jobs[$myjob]['ppn'] : 1;
-        }
-
-        $node_freecpu= $node_cpus - $job_cpu;
-
-        $empty_cpus += $node_freecpu;
-    }
-
-    $empty_cpus = ( $empty_cpus >= 0 ) ? $empty_cpus : 0;
-    $used_cpus  = $nr_cpus - $empty_cpus;
-
-    $empty_percentage= $empty_cpus;
-
-    $qcolors   = array();
-    $color     = randomColor( $qcolors );
-    $qcolors[] = $color;
-    $pie_args .= "&free=$empty_percentage,$color";
-
-    if( isset( $piefilter ) )
-    {
-        $filterpie = array();
-    }
-
-    foreach( $nodes as $node )
-    {
-        $node_jobs    = $node->getJobs();
-        $nr_node_jobs = count( $node_jobs );
-        $myhost       = $node->getHostname();
-        $node_cpus    = $metrics[$myhost]["cpu_num"]['VAL'];
-
-        foreach( $node_jobs as $myjob )
-        {
-            $job_cpu = isset( $jobs[$myjob]['ppn'] ) ? $jobs[$myjob]['ppn'] : 1;
-
-            // Determine the weight of this job
-            // - what percentage of the cpus is in use by this job
-            //
-            //$job_weight[$myjob]    = ( $job_cpu / $nr_cpus );
-            $job_weight[$myjob]    = $job_cpu;
-
-            if( isset( $piefilter ) ) {
-
-                $countjob = 1;
-
-                if( $piefilter == 'id' )
-                {
-                    if( $myjob != $filter[$piefilter] )
-                    {
-                        $countjob = 0;
-                    }
-                }
-                else if( $piefilter == 'owner' )
-                {
-                    if( $jobs[$myjob]['owner'] != $filter[$piefilter] )
-                    {
-                        $countjob = 0;
-                    }
-                }
-                else
-                {
-                    if( $jobs[$myjob][$piefilter] != $filter[$piefilter] )
-                    {
-                        $countjob = 0;
-                    }
-                }
-
-                if( $countjob )
-                {
-
-                    if( !isset( $filterpie[$filter[$piefilter]] ) )
-                    {
-                        $filterpie[$filter[$piefilter]] = $job_weight[$myjob];
-                    }
-                    else
-                    {
-
-                        $filterpie[$filter[$piefilter]] = $filterpie[$filter[$piefilter]] + $job_weight[$myjob];
-                    }
-                }
-                else
-                {
-                    if( !isset( $filterpie["other"] ) )
-                    {
-                        $filterpie["other"] = $job_weight[$myjob];
-                    }
-                    else
-                    {
-                        $filterpie["other"] = $filterpie["other"] + $job_weight[$myjob];
-                    }
-
-                }
-                
-            }
-            else
-            {
-
-                $qname = $jobs[$myjob]['queue'];
-
-                if( !isset( $queues[$qname] ) )
-                {
-                    $queues[$qname] = $job_weight[$myjob];
-                }
-                else
-                {
-                    $queues[$qname] = $queues[$qname] + $job_weight[$myjob];
-                }
-            }
-        }
-    }
-
-    if( isset( $piefilter ) )
-    {
-        $graphvals = $filterpie;
-    }
-    else
-    {
-        $graphvals = $queues;
-    }
-
-    foreach( $graphvals as $name => $totalweight) 
-    {
-        $percentage    = $totalweight;
-        
-        $color         = randomColor( $qcolors );
-        $qcolors[]     = $color;
-        $pie_args     .= "&$name=$percentage,$color";
-    }
-    $pie = "../../pie.php?$pie_args";
-
-    return $pie;
-}
-
 
 function sortJobs( $jobs, $sortby, $sortorder ) 
Index: branches/1.0/web/addons/job_monarch/templates/overview.tpl
===================================================================
--- branches/1.0/web/addons/job_monarch/templates/overview.tpl	(revision 825)
+++ branches/1.0/web/addons/job_monarch/templates/overview.tpl	(revision 828)
@@ -147,8 +147,4 @@
   </TD>
 
-  </TD>
-  <TD ALIGN="CENTER">
-    <IMG SRC="{$pie}">
-  </TD>
 </TR>
 </TABLE>