Index: /branches/1.0/pkg/rpm/jobmonarch-webfrontend.spec
===================================================================
--- /branches/1.0/pkg/rpm/jobmonarch-webfrontend.spec	(revision 832)
+++ /branches/1.0/pkg/rpm/jobmonarch-webfrontend.spec	(revision 833)
@@ -37,4 +37,5 @@
 "/var/www/ganglia/templates/job_monarch/cluster_extra.tpl"
 "/var/www/ganglia/templates/job_monarch/host_extra.tpl"
+"/var/www/ganglia/templates/job_monarch/images/logo.jpg"
 %dir "/var/www/ganglia/addons/"
 %dir "/var/www/ganglia/addons/job_monarch/"
@@ -42,31 +43,161 @@
 "/var/www/ganglia/addons/job_monarch/clusterconf/example.php"
 %dir "/var/www/ganglia/addons/job_monarch/templates/"
+"/var/www/ganglia/addons/job_monarch/templates/search.tpl"
 "/var/www/ganglia/addons/job_monarch/templates/overview.tpl"
-"/var/www/ganglia/addons/job_monarch/templates/search.tpl"
+"/var/www/ganglia/addons/job_monarch/templates/host_view.tpl"
+"/var/www/ganglia/addons/job_monarch/templates/header.tpl"
 "/var/www/ganglia/addons/job_monarch/templates/footer.tpl"
-"/var/www/ganglia/addons/job_monarch/templates/header.tpl"
-"/var/www/ganglia/addons/job_monarch/templates/host_view.tpl"
-"/var/www/ganglia/addons/job_monarch/templates/index.tpl"
 %config "/var/www/ganglia/addons/job_monarch/conf.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/processors"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/processors/pre.smarty_compat.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/filters"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/filters/html_format.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/math.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/fetch.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/upper.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/spacify.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/count_sentences.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/dump.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/wordwrap.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/count_words.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/cat.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/extends.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/reverse.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/replace.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/string_format.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/return.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/nl2br.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/eol.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/indent.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/tif.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/include.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/default.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/assign.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/truncate.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/date_format.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/eval.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/isset.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/lower.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/whitespace.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/load_templates.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/cycle.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/escape.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/count_paragraphs.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/regex_replace.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/extendsCheck.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/safe.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/counter.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/strip_tags.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/optional.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/mailto.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/capitalize.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/functions/count_characters.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/block.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/textformat.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/if.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/forelse.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/smartyinterface.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/strip.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/capture.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/section.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/topLevelBlock.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/elseif.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/foreach.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/loop.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/with.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/template.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/a.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/foreachelse.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/dynamic.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/withelse.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/for.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/else.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/blocks/auto_escape.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/plugins/builtin/helper.array.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/cache"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Smarty"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Smarty/Adapter.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ICompilable"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ICompilable/Block.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Block"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Block/Plugin.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins/url.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/dwoo_plugins/t.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/DwooRenderer.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/Agavi/README"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP/README"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CakePHP/dwoo.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/config"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/config/dwootemplate.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/controllers"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/controllers/dwoowelcome.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/libraries"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/libraries/Dwootemplate.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views/dwoowelcome.tpl"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/views/page.tpl"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/CodeIgniter/README"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/View.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/PluginProxy.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/README"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Adapters/ZendFramework/Dwoo.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Security"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Security/Exception.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Security/Policy.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Template"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Template/File.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Template/String.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Compilation"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Compilation/Exception.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/IDataProvider.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Plugin.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Exception.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Loader.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Data.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/IPluginProxy.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Compiler.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Processor.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ILoader.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ICompilable.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ICompiler.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/ITemplate.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/IElseable.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Filter.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo/Core.php"
+%dir "/var/www/ganglia/addons/job_monarch/dwoo/compiled"
+"/var/www/ganglia/addons/job_monarch/dwoo/dwooAutoload.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo.compiled.php"
+"/var/www/ganglia/addons/job_monarch/dwoo/Dwoo.php"
+"/var/www/ganglia/addons/job_monarch/prev.gif"
+"/var/www/ganglia/addons/job_monarch/next.gif"
+"/var/www/ganglia/addons/job_monarch/footer.php"
+"/var/www/ganglia/addons/job_monarch/jobmonarch.gif"
+"/var/www/ganglia/addons/job_monarch/graph.php"
+"/var/www/ganglia/addons/job_monarch/ts_validatetime.js"
+"/var/www/ganglia/addons/job_monarch/logo_ned.gif"
 "/var/www/ganglia/addons/job_monarch/search.php"
+"/var/www/ganglia/addons/job_monarch/ajax-loader.gif"
+"/var/www/ganglia/addons/job_monarch/overview.php"
+"/var/www/ganglia/addons/job_monarch/libtoga.js"
+"/var/www/ganglia/addons/job_monarch/host_view.php"
+"/var/www/ganglia/addons/job_monarch/index.php"
+"/var/www/ganglia/addons/job_monarch/document_archive.jpg"
+"/var/www/ganglia/addons/job_monarch/ts_picker.js"
+"/var/www/ganglia/addons/job_monarch/cal.gif"
+"/var/www/ganglia/addons/job_monarch/redcross.jpg"
 "/var/www/ganglia/addons/job_monarch/libtoga.php"
+"/var/www/ganglia/addons/job_monarch/image.php"
+"/var/www/ganglia/addons/job_monarch/styles.css"
 "/var/www/ganglia/addons/job_monarch/version.php"
-"/var/www/ganglia/addons/job_monarch/cal.gif"
-"/var/www/ganglia/addons/job_monarch/document_archive.jpg"
-"/var/www/ganglia/addons/job_monarch/graph.php"
-"/var/www/ganglia/addons/job_monarch/header.php"
-"/var/www/ganglia/addons/job_monarch/host_view.php"
-"/var/www/ganglia/addons/job_monarch/image.php"
-"/var/www/ganglia/addons/job_monarch/libtoga.js"
-"/var/www/ganglia/addons/job_monarch/logo_ned.gif"
-"/var/www/ganglia/addons/job_monarch/next.gif"
-"/var/www/ganglia/addons/job_monarch/prev.gif"
-"/var/www/ganglia/addons/job_monarch/redcross.jpg"
-"/var/www/ganglia/addons/job_monarch/ts_picker.js"
-"/var/www/ganglia/addons/job_monarch/ts_validatetime.js"
-"/var/www/ganglia/addons/job_monarch/footer.php"
-"/var/www/ganglia/addons/job_monarch/styles.css"
-"/var/www/ganglia/addons/job_monarch/index.php"
-"/var/www/ganglia/addons/job_monarch/overview.php"
-"/var/www/ganglia/addons/job_monarch/jobmonarch.gif"
-"/var/www/ganglia/templates/job_monarch/images/logo.jpg"